##### OSPF X #####

table ospfXtable;

protocol pipe master2ospfX {
	description "master to OSPF instance X";
	peer table ospfXtable;
	import filter { if fn_import_master_ospf("ospfX") then accept; else reject; };
	# XXX geht nicht als Funktion!?!:-(
	# export filter { if fn_export_master_ospf() then accept; else reject; };
	export filter { if proto ~ "ospf*" then reject;
			else if fn_am_local_to_ospf_table() then accept;
			else reject; };
}

protocol bgp master2bgpX {
	router id 127.0.X.0;
	local 127.0.X.0 as 31371;
	neighbor 127.0.X.1 as 31371;
	next hop keep;
	export filter {	if fn_export_master_bgpospf("ospfX") then accept; else reject; };
}

protocol bgp bgpXospfX {
	router id 127.0.X.1;
	local 127.0.X.1 as 31371;
	neighbor 127.0.X.0 as 31371;
	next hop keep;
	table ospfXtable;
	import filter { if fn_import_bgpospf() then accept; else reject; };
	export none;
}

protocol ospf ospfX {
	#debug all;
	table ospfXtable;
	import filter { if fn_import_ospf_master(X) then accept; else reject; };
	export filter { if fn_export_ospf(X) then accept; else reject; };
	include "/usr/local/etc/bird.instX.local.conf";
}
